      subroutine f2Dcopy (npt,f1,f2)
c
c=======================================================================
c                                                                    ===
c  This routine copies a 2D field into a second array.               ===
c                                                                    ===
c  ------                                                            ===
c  Input:                                                            ===
c  ------                                                            ===
c                                                                    ===
c     NPT   Number of data points.   (integer)                       ===
c     F1    Original 2D field.       (real vector)                   ===
c                                                                    ===
c  -------                                                           ===
c  Output:                                                           ===
c  -------                                                           ===
c                                                                    ===
c     F2    Copy of 2D field.        (real vector)                   ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer n,npt
      real f1(npt),f2(npt)
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      do 10 n = 1, npt
         f2(n) = f1(n)
  10  continue
c
      return
      end
